AOZ Studio Beta - Bug #430

MATCH command causes internal error.
08/04/2020 10:41 AM - Paul Kitching

Status: Closed Start date: 08/04/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.9.4-r2

Affected version: 0.9.9.4

Description

Lots of compile errors if the program includes 'match’

e.g.

dim search$ (15)
for x=1 to 15
search$ (x)=chr$ (rnd (25) +65)
print search$(x);" ";
next x
print
sort searchs$ (0)
for x=1 to 15
print search$(x);" ";
next x
print:print "Search. Blank to continue."
bs="x"

while b$<>""

input b$

bS=uppers (b$)

print match (search$ (0),b$)
wend

Commenting out the 'match’ line lets it run.

History

#1 - 08/30/2020 02:40 PM - Francois Lionet
- Assignee changed from AOZ Studio Team to Francois Lionet

- Target version set to 0.9.9.4-r2

Fixed!

#2 - 08/30/2020 02:43 PM - Francois Lionet

- Status changed from New to Resolved

#3 - 09/21/2020 10:43 AM - Brian Flanagan

- Status changed from Resolved to Closed

Re-tested on Beta RC2. Works!
